[arch-commits] CVS update of extra/devel/gcc-gcj (4 files)

Jan de Groot jgc at archlinux.org
Sun Jul 1 22:39:10 UTC 2007


    Date: Sunday, July 1, 2007 @ 18:39:10
  Author: jgc
    Path: /home/cvs-extra/extra/devel/gcc-gcj

   Added: gcj-4.3-tools.jar-path.diff (1.1) java-signed-type.patch (1.1)
Modified: PKGBUILD (1.27 -> 1.28)
 Removed: gcc-expandv.dpatch (1.1)

Update to current snapshot
add patch to fix tools.jar generation, ant can't find a compiler otherwise
add signed type definition, upstream removed it for 4.3
Remove old patch


-----------------------------+
 PKGBUILD                    |   24 +++++++++-----
 gcc-expandv.dpatch          |   68 ------------------------------------------
 gcj-4.3-tools.jar-path.diff |   39 ++++++++++++++++++++++++
 java-signed-type.patch      |   11 ++++++
 4 files changed, 65 insertions(+), 77 deletions(-)


Index: extra/devel/gcc-gcj/PKGBUILD
diff -u extra/devel/gcc-gcj/PKGBUILD:1.27 extra/devel/gcc-gcj/PKGBUILD:1.28
--- extra/devel/gcc-gcj/PKGBUILD:1.27	Sun Jun 24 17:02:10 2007
+++ extra/devel/gcc-gcj/PKGBUILD	Sun Jul  1 18:39:10 2007
@@ -1,4 +1,4 @@
-# $Id: PKGBUILD,v 1.27 2007/06/24 21:02:10 jgc Exp $
+# $Id: PKGBUILD,v 1.28 2007/07/01 22:39:10 jgc Exp $
 # Maintainer: Jan de Groot <jgc at archlinux.org>
 
 # There's a circular dependency between gcc-gcj and eclipse-ecj. There is no 
@@ -7,29 +7,33 @@
 
 pkgname=gcc-gcj
 pkgver=4.2.0
-pkgrel=3
-_snapshot=4.2-20070620
-_javaver=20070609
+pkgrel=4
+_snapshot=4.2-20070627
+_javaver=20070626
 pkgdesc="GNU Java Environment"
 arch=(i686 x86_64)
 license=('GPL' 'LGPL')
 url="http://gcc.gnu.org"
-depends=('gcc>=4.2.0-4' 'gtk2>=2.10.12' 'file' 'libsm' 'libxtst' 'alsa-lib' 'eclipse-ecj>=3.2.2-2')
+depends=('gcc>=4.2.0-5' 'gtk2>=2.10.12' 'file' 'libsm' 'libxtst' 'alsa-lib' 'eclipse-ecj>=3.3')
 makedepends=('texinfo' 'pkgconfig' 'xulrunner' 'libart-lgpl' 'jack-audio-connection-kit')
 noextract=("gcc-ecj-${_javaver}.tar.bz2")
 options=('!libtool')
 source=(ftp://gcc.gnu.org/pub/gcc/snapshots/${_snapshot}/gcc-{core,g++}-${_snapshot}.tar.bz2
 	http://www.archlinux.org/~jgc/gcc/gcc-ecj-${_javaver}.tar.bz2
+	gcj-4.3-tools.jar-path.diff
 	gcc_pure64.patch
 	libjava-disable-static.dpatch
 	libjava-sjlj.dpatch
+	java-signed-type.patch
 	gcc-hash-style-both.patch)
-md5sums=('247a68e66877cac8dd63ed0c154fa0a8'
-         '3768a7aae3ca257e5c8aa43024bcf5b4'
-         '3c96a2f45bed53f7da30c06204dd29f8'
+md5sums=('de942c2ecc29748224edd40e5e13481b'
+         'bfa95adcdf912f3bfa483e9c8a072d84'
+         'a1f1e28de91c19fa698205b868db55ed'
+         '602eb960c7752cc4877309e691110c06'
          '8fc86e4c4d1f4ec8b226307d39fbd9e3'
          'bef24466abe00c4e655ac074cedf0c29'
          'afe3541abf5ce163223f94ccdbc66e30'
+	 '1b51e5215739d6b578480e373ca64b5a'
          '611fbd749019f0ce2fad36fda17e93dd')
 
 build() {
@@ -47,7 +51,9 @@
   chmod +x ${startdir}/src/*.dpatch
   ${startdir}/src/libjava-disable-static.dpatch -patch || return 1
   ${startdir}/src/libjava-sjlj.dpatch -patch || return 1
-  patch -Np0 -i ${startdir}/src/gcc-hash-style-both.patch || return 1
+  #patch -Np0 -i ${startdir}/src/gcc-hash-style-both.patch || return 1
+  patch -Np0 -i ${startdir}/src/gcj-4.3-tools.jar-path.diff || return 1
+  patch -Np0 -i ${startdir}/src/java-signed-type.patch || return 1
 
   echo ${pkgver} > gcc/BASE-VER
   echo "80:0:0" > libjava/libtool-version
Index: extra/devel/gcc-gcj/gcc-expandv.dpatch
diff -u extra/devel/gcc-gcj/gcc-expandv.dpatch:1.1 extra/devel/gcc-gcj/gcc-expandv.dpatch:removed
--- extra/devel/gcc-gcj/gcc-expandv.dpatch:1.1	Mon Apr 30 07:56:53 2007
+++ extra/devel/gcc-gcj/gcc-expandv.dpatch	Sun Jul  1 18:39:10 2007
@@ -1,68 +0,0 @@
-#! /bin/sh -e
-
-# DP: * gcc.c (main): Call expandargv.
-
-dir=
-if [ $# -eq 3 -a "$2" = '-d' ]; then
-    pdir="-d $3"
-    dir="$3/"
-elif [ $# -ne 1 ]; then
-    echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
-    exit 1
-fi
-case "$1" in
-    -patch)
-        patch $pdir -f --no-backup-if-mismatch -p0 < $0
-        ;;
-    -unpatch)
-        patch $pdir -f --no-backup-if-mismatch -R -p0 < $0
-        ;;
-    *)
-        echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
-        exit 1
-esac
-exit 0
-
-2005-11-27  Mark Mitchell  <mark at codesourcery.com>
-
-	* gcc.c (main): Change type of argv to "char **".
-
-2005-11-23  Mark Mitchell  <mark at codesourcery.com>
-
-	* gcc.c (main): Call expandargv.
-
-Index: gcc/gcc.c
-===================================================================
---- gcc/gcc.c	(Revision 121121)
-+++ gcc/gcc.c	(Revision 121122)
-@@ -6057,10 +6057,10 @@
-   kill (getpid (), signum);
- }
- 
--extern int main (int, const char **);
-+extern int main (int, char **);
- 
- int
--main (int argc, const char **argv)
-+main (int argc, char **argv)
- {
-   size_t i;
-   int value;
-@@ -6081,6 +6081,8 @@
- 
-   prune_options (&argc, &argv);
- 
-+  expandargv (&argc, &argv);
-+
- #ifdef GCC_DRIVER_HOST_INITIALIZATION
-   /* Perform host dependent initialization when needed.  */
-   GCC_DRIVER_HOST_INITIALIZATION;
-@@ -6173,7 +6175,7 @@
-      Make a table of specified input files (infiles, n_infiles).
-      Decode switches that are handled locally.  */
- 
--  process_command (argc, argv);
-+  process_command (argc, (const char **) argv);
- 
-   /* Initialize the vector of specs to just the default.
-      This means one element containing 0s, as a terminator.  */
Index: extra/devel/gcc-gcj/gcj-4.3-tools.jar-path.diff
diff -u /dev/null extra/devel/gcc-gcj/gcj-4.3-tools.jar-path.diff:1.1
--- /dev/null	Sun Jul  1 18:39:10 2007
+++ extra/devel/gcc-gcj/gcj-4.3-tools.jar-path.diff	Sun Jul  1 18:39:10 2007
@@ -0,0 +1,39 @@
+--- libjava/classpath/tools/Makefile.am.orig	2007-03-17 18:43:46.000000000 +0100
++++ libjava/classpath/tools/Makefile.am	2007-03-17 18:44:19.000000000 +0100
+@@ -204,13 +204,13 @@
+ ## END GCJ LOCAL
+ ## First add classpath tools stuff.
+ 	(cd classes; \
+-	if test "$(ZIP)" != ""; then $(ZIP) -r ../$(TOOLS_ZIP) .; fi; \
+-	if test "$(FASTJAR)" != ""; then $(FASTJAR) cf ../$(TOOLS_ZIP) .; fi; \
++	if test "$(ZIP)" != ""; then $(ZIP) -r ../$(TOOLS_ZIP) *; fi; \
++	if test "$(FASTJAR)" != ""; then $(FASTJAR) cf ../$(TOOLS_ZIP) *; fi; \
+ 	cd ..)
+ ## Now add ASM classes.
+ 	(cd asm; \
+-	if test "$(ZIP)" != ""; then $(ZIP) -u -r ../$(TOOLS_ZIP) .; fi; \
+-	if test "$(FASTJAR)" != ""; then $(FASTJAR) uf ../$(TOOLS_ZIP) .; fi; \
++	if test "$(ZIP)" != ""; then $(ZIP) -u -r ../$(TOOLS_ZIP) *; fi; \
++	if test "$(FASTJAR)" != ""; then $(FASTJAR) uf ../$(TOOLS_ZIP) *; fi; \
+ 	cd ..)
+ 	rm -rf asm classes classes.lst asm.lst
+ 
+--- libjava/classpath/tools/Makefile.in.orig	2007-03-17 18:43:55.000000000 +0100
++++ libjava/classpath/tools/Makefile.in	2007-03-17 18:44:44.000000000 +0100
+@@ -1121,12 +1121,12 @@
+ 	cp -pR $(srcdir)/asm .
+ 	cp -pR $(srcdir)/classes .
+ 	(cd classes; \
+-	if test "$(ZIP)" != ""; then $(ZIP) -r ../$(TOOLS_ZIP) .; fi; \
+-	if test "$(FASTJAR)" != ""; then $(FASTJAR) cf ../$(TOOLS_ZIP) .; fi; \
++	if test "$(ZIP)" != ""; then $(ZIP) -r ../$(TOOLS_ZIP) *; fi; \
++	if test "$(FASTJAR)" != ""; then $(FASTJAR) cf ../$(TOOLS_ZIP) *; fi; \
+ 	cd ..)
+ 	(cd asm; \
+-	if test "$(ZIP)" != ""; then $(ZIP) -u -r ../$(TOOLS_ZIP) .; fi; \
+-	if test "$(FASTJAR)" != ""; then $(FASTJAR) uf ../$(TOOLS_ZIP) .; fi; \
++	if test "$(ZIP)" != ""; then $(ZIP) -u -r ../$(TOOLS_ZIP) *; fi; \
++	if test "$(FASTJAR)" != ""; then $(FASTJAR) uf ../$(TOOLS_ZIP) *; fi; \
+ 	cd ..)
+ 	rm -rf asm classes classes.lst asm.lst
+ 
Index: extra/devel/gcc-gcj/java-signed-type.patch
diff -u /dev/null extra/devel/gcc-gcj/java-signed-type.patch:1.1
--- /dev/null	Sun Jul  1 18:39:10 2007
+++ extra/devel/gcc-gcj/java-signed-type.patch	Sun Jul  1 18:39:10 2007
@@ -0,0 +1,11 @@
+--- gcc/java/lang.c~	2007-07-01 21:44:37.000000000 +0000
++++ gcc/java/lang.c	2007-07-01 21:52:15.000000000 +0000
+@@ -182,6 +182,8 @@
+ #define LANG_HOOKS_TYPE_FOR_MODE java_type_for_mode
+ #undef LANG_HOOKS_TYPE_FOR_SIZE
+ #define LANG_HOOKS_TYPE_FOR_SIZE java_type_for_size
++#undef LANG_HOOKS_SIGNED_TYPE
++#define LANG_HOOKS_SIGNED_TYPE java_signed_type
+ #undef LANG_HOOKS_UNSIGNED_TYPE
+ #define LANG_HOOKS_UNSIGNED_TYPE java_unsigned_type
+ #undef LANG_HOOKS_SIGNED_OR_UNSIGNED_TYPE




More information about the arch-commits mailing list